<?php
/**
 * Building Architecture: Customizer
 *
 * @subpackage Building Architecture
 * @since 1.0
 */

use WPTRT\Customize\Section\Luzuk_Building_Architecture_Button;

add_action( 'customize_register', function( $manager ) {

	$manager->register_section_type( Luzuk_Building_Architecture_Button::class );

	$manager->add_section(
		new Luzuk_Building_Architecture_Button( $manager, 'luzuk_building_architecture_pro', [
			'title' => __( 'Building Construction Pro', 'building-architecture' ),
			'priority' => 0,
			'button_text' => __( 'Go Pro', 'building-architecture' ),
			'button_url'  => esc_url( 'https://www.luzuk.com/products/premium-wordpress-template-architecture/', 'building-architecture')
		] )
	);

} );


// Load the JS and CSS.
add_action( 'customize_controls_enqueue_scripts', function() {

	$version = wp_get_theme()->get( 'Version' );

	wp_enqueue_script(
		'building-architecture-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/js/customize-controls.js' ),
		[ 'customize-controls' ],
		$version,
		true
	);

	wp_enqueue_style(
		'building-architecture-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/css/customize-controls.css' ),
		[ 'customize-controls' ],
 		$version
	);

} );

function luzuk_building_architecture_customize_register( $wp_customize ) {

	$wp_customize->add_setting('luzuk_building_architecture_logo_size',array(
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
	));
	$wp_customize->add_control('luzuk_building_architecture_logo_size',array(
		'type' => 'range',
		'label' => __('Logo Size','building-architecture'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('luzuk_building_architecture_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('luzuk_building_architecture_logo_padding',array(
		'label' => __('Logo Margin','building-architecture'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('luzuk_building_architecture_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
	));
	$wp_customize->add_control('luzuk_building_architecture_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','building-architecture'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_building_architecture_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
	));
	$wp_customize->add_control('luzuk_building_architecture_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','building-architecture'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_building_architecture_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
	));
	$wp_customize->add_control('luzuk_building_architecture_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','building-architecture'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_building_architecture_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
 	));
 	$wp_customize->add_control('luzuk_building_architecture_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','building-architecture'),
		'section' => 'title_tagline',
    ));

	$wp_customize->add_setting('luzuk_building_architecture_show_site_title',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_building_architecture_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','building-architecture'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_site_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_site_title_color', array(
		'label' => 'Title Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_setting('luzuk_building_architecture_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_building_architecture_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','building-architecture'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_site_tagline_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_site_tagline_color', array(
		'label' => 'Tagline Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_panel( 'luzuk_building_architecture_panel_id', array(
		'priority' => 10,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => __( 'Theme Settings', 'building-architecture' ),
		'description' => __( 'Description of what this panel does.', 'building-architecture' ),
	) );

	$wp_customize->add_section( 'luzuk_building_architecture_theme_options_section', array(
    	'title'      => __( 'General Settings', 'building-architecture' ),
		'priority'   => 30,
		'panel' => 'luzuk_building_architecture_panel_id'
	) );

	$wp_customize->add_setting('luzuk_building_architecture_theme_options',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_building_architecture_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_building_architecture_theme_options',array(
		'type' => 'select',
		'label' => __('Blog Page Sidebar Layout','building-architecture'),
		'section' => 'luzuk_building_architecture_theme_options_section',
		'choices' => array(
		   'Left Sidebar' => __('Left Sidebar','building-architecture'),
		   'Right Sidebar' => __('Right Sidebar','building-architecture'),
		   'One Column' => __('One Column','building-architecture'),
		   'Grid Layout' => __('Grid Layout','building-architecture')
		),
	));

	$wp_customize->add_setting('luzuk_building_architecture_single_post_sidebar',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'luzuk_building_architecture_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_building_architecture_single_post_sidebar',array(
        'type' => 'select',
        'label' => __('Single Post Sidebar Layout','building-architecture'),
        'section' => 'luzuk_building_architecture_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','building-architecture'),
            'Right Sidebar' => __('Right Sidebar','building-architecture'),
            'One Column' => __('One Column','building-architecture')
        ),
	));

	$wp_customize->add_setting('luzuk_building_architecture_page_sidebar',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_building_architecture_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_building_architecture_page_sidebar',array(
        'type' => 'select',
        'label' => __('Page Sidebar Layout','building-architecture'),
        'section' => 'luzuk_building_architecture_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','building-architecture'),
            'Right Sidebar' => __('Right Sidebar','building-architecture'),
            'One Column' => __('One Column','building-architecture')
        ),
	));

	$wp_customize->add_setting('luzuk_building_architecture_archive_page_sidebar',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_building_architecture_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_building_architecture_archive_page_sidebar',array(
        'type' => 'select',
        'label' => __('Archive & Search Page Sidebar Layout','building-architecture'),
        'section' => 'luzuk_building_architecture_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','building-architecture'),
            'Right Sidebar' => __('Right Sidebar','building-architecture'),
            'One Column' => __('One Column','building-architecture'),
            'Grid Layout' => __('Grid Layout','building-architecture')
        ),
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_boxfull_width', array(
		'default'           => '',
		'sanitize_callback' => 'luzuk_building_architecture_sanitize_choices'
	));
	
	$wp_customize->add_control( 'luzuk_building_architecture_boxfull_width', array(
		'label'    => __( 'Section Width', 'building-architecture' ),
		'section'  => 'luzuk_building_architecture_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'container'  => __('Box Width', 'building-architecture'),
			'container-fluid' => __('Full Width', 'building-architecture'),
			'none' => __('None', 'building-architecture')
		),
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_dropdown_anim', array(
		'default'           => 'None',
		'sanitize_callback' => 'luzuk_building_architecture_sanitize_choices'
	));
	$wp_customize->add_control( 'luzuk_building_architecture_dropdown_anim', array(
		'label'    => __( 'Menu Dropdown Animations', 'building-architecture' ),
		'section'  => 'luzuk_building_architecture_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInUp'  => __('bounceInUp', 'building-architecture'),
			'fadeInUp' => __('fadeInUp', 'building-architecture'),
			'zoomIn'    => __('zoomIn', 'building-architecture'),
			'None'    => __('None', 'building-architecture')
		),
	));
 
	//Header
	$wp_customize->add_section( 'luzuk_building_architecture_header' , array(
    	'title'    => __( 'Header Settings', 'building-architecture' ),
		'priority' => null,
		'panel' => 'luzuk_building_architecture_panel_id'
	) );

	$wp_customize->add_setting('luzuk_building_architecture_header_phoneno',array(
		'default' => '+0 111 222 333',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_header_phoneno',array(
	   	'type' => 'text',
	   	'label' => __('Phone Number','building-architecture'),
	   	'section' => 'luzuk_building_architecture_header',
	));

	$wp_customize->add_setting('luzuk_building_architecture_header_mail',array(
		'default' => 'info@example.com',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_header_mail',array(
	   	'type' => 'text',
	   	'label' => __('Mail','building-architecture'),
	   	'section' => 'luzuk_building_architecture_header',
	));

	
	$wp_customize->add_setting('luzuk_building_architecture_twitterlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_building_architecture_twitterlink',array(
	   	'type' => 'url',
	   	'label' => __('Twitter Icon Link','building-architecture'),
	   	'section' => 'luzuk_building_architecture_header',
	));
	
	$wp_customize->add_setting('luzuk_building_architecture_instagramlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_building_architecture_instagramlink',array(
	   	'type' => 'url',
	   	'label' => __('Instagram Icon Link','building-architecture'),
	   	'section' => 'luzuk_building_architecture_header',
	));

	$wp_customize->add_setting('luzuk_building_architecture_pinterestlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_building_architecture_pinterestlink',array(
	   	'type' => 'url',
	   	'label' => __('Pinterest Icon Link','building-architecture'),
	   	'section' => 'luzuk_building_architecture_header',
	));
	
	$wp_customize->add_setting('luzuk_building_architecture_fblink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_building_architecture_fblink',array(
	   	'type' => 'url',
	   	'label' => __('Facebook Icon Link','building-architecture'),
	   	'section' => 'luzuk_building_architecture_header',
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_headertopbg_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headertopbg_col', array(
		'label' => 'Top Head BG Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_headerbottombg_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headerbottombg_col', array(
		'label' => 'Bottom Head BG Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_headerphnmailicon_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headerphnmailicon_col', array(
		'label' => 'Phone Number & Mail Icon Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_headerphnmail_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headerphnmail_col', array(
		'label' => 'Phone Number & Mail Color',
		'section' => 'luzuk_building_architecture_header',
	)));
	
	$wp_customize->add_setting( 'luzuk_building_architecture_headerphnmailhover_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headerphnmailhover_col', array(
		'label' => 'Phone Number & Mail Hover Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_headertopsocialicontext_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headertopsocialicontext_col', array(
		'label' => 'Social Icon Text Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_headertopsocialicon_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headertopsocialicon_col', array(
		'label' => 'Social Icon Color',
		'section' => 'luzuk_building_architecture_header',
	)));


	$wp_customize->add_setting( 'luzuk_building_architecture_headertopsocialiconhover_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_headertopsocialiconhover_col', array(
		'label' => 'Social Icon Hover Color',
		'section' => 'luzuk_building_architecture_header',
	)));


	$wp_customize->add_setting( 'luzuk_building_architecture_menu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_menu_color', array(
		'label' => 'Menu Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_menuhover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_menuhover_color', array(
		'label' => 'Menu Hover Color',
		'section' => 'luzuk_building_architecture_header',
	)));


	$wp_customize->add_setting( 'luzuk_building_architecture_submenu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_submenu_color', array(
		'label' => 'Submenu Text Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_submenubg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_submenubg_color', array(
		'label' => 'Submenu BG Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_header_searchbox_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_header_searchbox_color', array(
		'label' => 'Search Box Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_header_searchboxiconbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_header_searchboxiconbrd_color', array(
		'label' => 'Search Box Border & Icon Color',
		'section' => 'luzuk_building_architecture_header',
	)));

	//home page slider
	$wp_customize->add_section( 'luzuk_building_architecture_slider_section' , array(
    	'title'    => __( 'Slider Settings', 'building-architecture' ),
		'description'=> __('<b>Note :</b> Please Add Image in 1500*600 Ratio.','building-architecture'),
		'priority' => null,
		'panel' => 'luzuk_building_architecture_panel_id'
	) );

	$wp_customize->add_setting('luzuk_building_architecture_slider_hide_show',array(
    	'default' => false,
    	'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_building_architecture_slider_hide_show',array(
	   	'type' => 'checkbox',
	   	'label' => __('Show / Hide Slider','building-architecture'),
	   	'section' => 'luzuk_building_architecture_slider_section',
	));


	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'luzuk_building_architecture_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'luzuk_building_architecture_sanitize_dropdown_pages'
		));
		$wp_customize->add_control( 'luzuk_building_architecture_slider' . $count, array(
			'label' => __('Select A Page', 'building-architecture' ),
			'section' => 'luzuk_building_architecture_slider_section',
			'type' => 'dropdown-pages'
		));
	}

	$wp_customize->add_setting('luzuk_building_architecture_slider_excerpt_length',array(
		'default' => '15',
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
	));
	$wp_customize->add_control('luzuk_building_architecture_slider_excerpt_length',array(
		'type' => 'number',
		'label' => __('Description Excerpt Length','building-architecture'),
		'section' => 'luzuk_building_architecture_slider_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_slider_font_size',array(
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
	));
	$wp_customize->add_control('luzuk_building_architecture_slider_font_size',array(
		'type' => 'text',
		'label' => __('Title font Size','building-architecture'),
		'section' => 'luzuk_building_architecture_slider_section'
	));

	$wp_customize->add_setting('luzuk_building_architecture_slider_text_font_size',array(
		'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_float'
	));
	$wp_customize->add_control('luzuk_building_architecture_slider_text_font_size',array(
		'type' => 'text',
		'label' => __('Description font Size','building-architecture'),
		'section' => 'luzuk_building_architecture_slider_section'
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_slider_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_slider_title_color', array(
		'label' => 'Title Color',
		'section' => 'luzuk_building_architecture_slider_section',
	)));
	
	$wp_customize->add_setting( 'luzuk_building_architecture_slider_btntext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_slider_btntext_color', array(
		'label' => 'Button Text Color',
		'section' => 'luzuk_building_architecture_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_slider_btnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_slider_btnbg_color', array(
		'label' => 'Button BG Color',
		'section' => 'luzuk_building_architecture_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_slider_btntexthrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_slider_btntexthrv_color', array(
		'label' => 'Button Text Hover Color',
		'section' => 'luzuk_building_architecture_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_slider_btntextbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_slider_btntextbrd_color', array(
		'label' => 'Button Text Border Color',
		'section' => 'luzuk_building_architecture_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_slider_arrowicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_slider_arrowicon_color', array(
		'label' => 'Arrow Icon Color',
		'section' => 'luzuk_building_architecture_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_slider_arrowbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_slider_arrowbg_color', array(
		'label' => 'Arrow BG Color',
		'section' => 'luzuk_building_architecture_slider_section',
	)));

	
	// feature Section
	$wp_customize->add_section('luzuk_building_architecture_feature_section',array(
		'title'	=> __('Feature Settings','building-architecture'),
		'description'=> __('<b>Note :</b> This section will appear below the Slider.','building-architecture'),
		'panel' => 'luzuk_building_architecture_panel_id',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureprojectcomnumber',array(
    	'default' => '2k',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureprojectcomnumber',array(
	   	'type' => 'text',
	   	'label' => __('Projects Completed Number','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureprojectcomtext',array(
    	'default' => 'Projects Completed',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureprojectcomtext',array(
	   	'type' => 'text',
	   	'label' => __('Projects Completed Text','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureglobalcusnumber',array(
    	'default' => '15',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureglobalcusnumber',array(
	   	'type' => 'text',
	   	'label' => __('Global Customers Number','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureglobalcustext',array(
    	'default' => 'Global Customers',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureglobalcustext',array(
	   	'type' => 'text',
	   	'label' => __('Global Customers Text','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureteamengnumber',array(
    	'default' => '25',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureteamengnumber',array(
	   	'type' => 'text',
	   	'label' => __('Team Engineers Number','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureteamengtext',array(
    	'default' => 'Team Engineers',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureteamengtext',array(
	   	'type' => 'text',
	   	'label' => __('Team Engineers Text','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureyearofexpnumber',array(
    	'default' => '15',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureyearofexpnumber',array(
	   	'type' => 'text',
	   	'label' => __('Years Of Experience Number','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_featureyearofexptext',array(
    	'default' => 'Years Of Experience',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_featureyearofexptext',array(
	   	'type' => 'text',
	   	'label' => __('Years Of Experience Text','building-architecture'),
	   	'section' => 'luzuk_building_architecture_feature_section',
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_feature_numbers_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_feature_numbers_color', array(
		'label' => 'Numbers Color',
		'section' => 'luzuk_building_architecture_feature_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_feature_numbersbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_feature_numbersbrd_color', array(
		'label' => 'Numbers Border Color',
		'section' => 'luzuk_building_architecture_feature_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_feature_text_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_feature_text_color', array(
		'label' => 'Text Color',
		'section' => 'luzuk_building_architecture_feature_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_feature_texthrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_feature_texthrv_color', array(
		'label' => 'Text Hover Color',
		'section' => 'luzuk_building_architecture_feature_section',
	)));


	// aboutus Section
	$wp_customize->add_section('luzuk_building_architecture_aboutus_section',array(
		'title'	=> __('About Us Settings','building-architecture'),
		'description'=> __('<b>Note :</b> This section will appear below the Feature.','building-architecture'),
		'panel' => 'luzuk_building_architecture_panel_id',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutusheading',array(
    	'default' => 'About us',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutusheading',array(
	   	'type' => 'text',
	   	'label' => __('Heading','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting(
    	'luzuk_building_architecture_aboutus_img1',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_building_architecture_aboutus_img1',
	        array(
			    'label'   		=> __('Image 1','building-architecture'),
				'description'   		=> __('Image size 1500*747','building-architecture'),
	            'section' => 'luzuk_building_architecture_aboutus_section',
	            'settings' => 'luzuk_building_architecture_aboutus_img1',
	        )
	    )
	);

	$wp_customize->add_setting('luzuk_building_architecture_aboutustitle',array(
    	'default' => 'Lorem Ipsum are available',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustitle',array(
	   	'type' => 'text',
	   	'label' => __('Title','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustitle',array(
    	'default' => 'Lorem Ipsum are available',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustitle',array(
	   	'type' => 'text',
	   	'label' => __('Title','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutusyearofexperiencenum',array(
    	'default' => '14',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutusyearofexperiencenum',array(
	   	'type' => 'text',
	   	'label' => __('Year Of Experience Number','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutusyearofexperiencetext',array(
    	'default' => 'Years Of Experience',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutusyearofexperiencetext',array(
	   	'type' => 'text',
	   	'label' => __('Year Of Experience Text','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting(
    	'luzuk_building_architecture_aboutus_img2',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_building_architecture_aboutus_img2',
	        array(
			    'label'   		=> __('Image 2','building-architecture'),
				'description'   		=> __('Image size 1500*747','building-architecture'),
	            'section' => 'luzuk_building_architecture_aboutus_section',
	            'settings' => 'luzuk_building_architecture_aboutus_img2',
	        )
	    )
	);

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears1',array(
    	'default' => '2010-2015',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears1',array(
	   	'type' => 'text',
	   	'label' => __('Year Tab 1','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears1text',array(
    	'default' => 'There Are Many Variations Of Passages Of Lorem Ipsum Available, But The Majority Have Suffered Alteration In Some Form, By Injected Humour, Or Randomised Words Which Dont Look Even Slightly Believable.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears1text',array(
	   	'type' => 'text',
	   	'label' => __('Year Tab 1 Description','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears2',array(
    	'default' => '2015-2024',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears2',array(
	   	'type' => 'text',
	   	'label' => __('Year Tab 2','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears2text',array(
    	'default' => 'There Are Many Variations Of Passages Of Lorem Ipsum Available, But The Majority Have Suffered Alteration In Some Form, By Injected Humour, Or Randomised Words Which Dont Look Even Slightly Believable.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears2text',array(
	   	'type' => 'text',
	   	'label' => __('Year Tab 2 Description','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears1list1',array(
    	'default' => 'Lorem Ipsum are',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears1list1',array(
	   	'type' => 'text',
	   	'label' => __('List 1','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears1list2',array(
    	'default' => 'Lorem Ipsum are',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears1list2',array(
	   	'type' => 'text',
	   	'label' => __('List 2','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears1list3',array(
    	'default' => 'Lorem Ipsum are',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears1list3',array(
	   	'type' => 'text',
	   	'label' => __('List 3','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutustabsyears1list4',array(
    	'default' => 'Lorem Ipsum are',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutustabsyears1list4',array(
	   	'type' => 'text',
	   	'label' => __('List 4','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutusbtnlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutusbtnlink',array(
	   	'type' => 'text',
	   	'label' => __('Button Link','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_aboutusbtntext',array(
    	'default' => 'About Us',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('luzuk_building_architecture_aboutusbtntext',array(
	   	'type' => 'text',
	   	'label' => __('Button Text','building-architecture'),
	   	'section' => 'luzuk_building_architecture_aboutus_section',
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_heading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_heading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_title_color', array(
		'label' => 'Title Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_yearofexpnum_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_yearofexpnum_color', array(
		'label' => 'Year Of Experience Number Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_yearofexptext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_yearofexptext_color', array(
		'label' => 'Year Of Experience Text Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_yeartabheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_yeartabheading_color', array(
		'label' => 'Year Tab Heading Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_yeartabactiveheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_yeartabactiveheading_color', array(
		'label' => 'Year Tab Active Heading Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_yeartabdescription_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_yeartabdescription_color', array(
		'label' => 'Year Tab Description Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_listicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_listicon_color', array(
		'label' => 'Lists Icon Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_lists_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_lists_color', array(
		'label' => 'Lists Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_btntext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_btntext_color', array(
		'label' => 'Button Text Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_aboutus_btnhrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_aboutus_btnhrv_color', array(
		'label' => 'Button Hover Color',
		'section' => 'luzuk_building_architecture_aboutus_section',
	)));



	// services Section
	$wp_customize->add_section('luzuk_building_architecture_services_section',array(
		'title'	=> __('Services Settings','building-architecture'),
		'description'=> __('<b>Note :</b> This section will appear below the Feature.','building-architecture'),
		'panel' => 'luzuk_building_architecture_panel_id',
	));

	$wp_customize->add_setting('luzuk_building_architecture_servicessubheading',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_servicessubheading',array(
	   	'type' => 'text',
	   	'label' => __('Sub Heading','building-architecture'),
	   	'section' => 'luzuk_building_architecture_services_section',
	));

	$wp_customize->add_setting('luzuk_building_architecture_servicesheading',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_building_architecture_servicesheading',array(
	   	'type' => 'text',
	   	'label' => __('Heading','building-architecture'),
	   	'section' => 'luzuk_building_architecture_services_section',
	));

	$wp_customize->add_setting(
    	'luzuk_building_architecture_services_image',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_building_architecture_services_image',
	        array(
			    'label'   		=> __('Image','building-architecture'),
				'description'   		=> __('Image size 1500*747','building-architecture'),
	            'section' => 'luzuk_building_architecture_services_section',
	            'settings' => 'luzuk_building_architecture_services_image',
	        )
	    )
	);


	$pages = get_pages(); // Retrieve pages
	$page_options = array(); // Initialize page options array
	foreach ($pages as $page) {
		$page_options[$page->ID] = $page->post_title; // Store page ID and title in options array
	}

	$wp_customize->add_setting('luzuk_building_architecture_page_setting_1', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_building_architecture_page_setting_1', array(
		'label'    => __('Select Page 1', 'building-architecture'),
		'section'  => 'luzuk_building_architecture_services_section', 
		'type'     => 'dropdown-pages',
	));



	$wp_customize->add_setting('luzuk_building_architecture_page_setting_2', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_building_architecture_page_setting_2', array(
		'label'    => __('Select Page 2', 'building-architecture'),
		'section'  => 'luzuk_building_architecture_services_section', 
		'type'     => 'dropdown-pages',
	));


	$wp_customize->add_setting('luzuk_building_architecture_page_setting_3', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_building_architecture_page_setting_3', array(
		'label'    => __('Select Page 3', 'building-architecture'),
		'section'  => 'luzuk_building_architecture_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_building_architecture_page_setting_4', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_building_architecture_page_setting_4', array(
		'label'    => __('Select Page 4', 'building-architecture'),
		'section'  => 'luzuk_building_architecture_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_building_architecture_page_setting_5', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_building_architecture_page_setting_5', array(
		'label'    => __('Select Page 5', 'building-architecture'),
		'section'  => 'luzuk_building_architecture_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_building_architecture_page_setting_6', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_building_architecture_page_setting_6', array(
		'label'    => __('Select Page 6', 'building-architecture'),
		'section'  => 'luzuk_building_architecture_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_services_subheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_services_subheading_color', array(
		'label' => 'Sub Heading Color',
		'section' => 'luzuk_building_architecture_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_services_heading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_services_heading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_building_architecture_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_services_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_services_title_color', array(
		'label' => 'Title Color',
		'section' => 'luzuk_building_architecture_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_services_description_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_services_description_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_building_architecture_services_section',
	)));


	$wp_customize->add_setting( 'luzuk_building_architecture_services_boxbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_services_boxbg_color', array(
		'label' => 'Box BG Color',
		'section' => 'luzuk_building_architecture_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_services_arrow_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_services_arrow_color', array(
		'label' => 'Arrows Color',
		'section' => 'luzuk_building_architecture_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_services_arrowhrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_services_arrowhrv_color', array(
		'label' => 'Arrows Hover Color',
		'section' => 'luzuk_building_architecture_services_section',
	)));


	

	//Footer
    $wp_customize->add_section( 'luzuk_building_architecture_footer', array(
    	'title'  => __( 'Footer Settings', 'building-architecture' ),
		'priority' => null,
		'panel' => 'luzuk_building_architecture_panel_id'
	) );

	$wp_customize->add_setting('luzuk_building_architecture_show_back_totop',array(
       'default' => true,
       'sanitize_callback'	=> 'luzuk_building_architecture_sanitize_checkbox'
    ));
    $wp_customize->add_control('luzuk_building_architecture_show_back_totop',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Back to Top','building-architecture'),
       'section' => 'luzuk_building_architecture_footer'
    ));

    $wp_customize->add_setting('luzuk_building_architecture_footer_copy',array(
		'default' => 'Building Architecture WordPress Theme By Luzuk',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('luzuk_building_architecture_footer_copy',array(
		'label'	=> __('Copyright Text','building-architecture'),
		'section' => 'luzuk_building_architecture_footer',
		'setting' => 'luzuk_building_architecture_footer_copy',
		'type' => 'text'
	));

	$wp_customize->add_setting( 'luzuk_building_architecture_footertext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footertext_color', array(
		'label' => 'Text Color',
		'section' => 'luzuk_building_architecture_footer',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_footeractivemenu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footeractivemenu_color', array(
		'label' => 'Active Menu Color',
		'section' => 'luzuk_building_architecture_footer',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_footercopyright_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footercopyright_color', array(
		'label' => 'Copyright Color',
		'section' => 'luzuk_building_architecture_footer',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_footercopyrightbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footercopyrightbrd_color', array(
		'label' => 'Border Color',
		'section' => 'luzuk_building_architecture_footer',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_footerscrolltotoptext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footerscrolltotoptext_color', array(
		'label' => 'Scroll To Top Text Color',
		'section' => 'luzuk_building_architecture_footer',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_footerscrolltotopbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footerscrolltotopbg_color', array(
		'label' => 'Scroll To Top BG Color',
		'section' => 'luzuk_building_architecture_footer',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_footerscrolltotoptexthover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footerscrolltotoptexthover_color', array(
		'label' => 'Scroll To Top Text Hover Color',
		'section' => 'luzuk_building_architecture_footer',
	)));

	$wp_customize->add_setting( 'luzuk_building_architecture_footerscrolltotophover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_building_architecture_footerscrolltotophover_color', array(
		'label' => 'Scroll To Top Hover Color',
		'section' => 'luzuk_building_architecture_footer',
	)));




	

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'luzuk_building_architecture_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'luzuk_building_architecture_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'luzuk_building_architecture_customize_register' );

function luzuk_building_architecture_customize_partial_blogname() {
	bloginfo( 'name' );
}

function luzuk_building_architecture_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

if (class_exists('WP_Customize_Control')) {

   	class Luzuk_Building_Architecture_Fontawesome_Icon_Chooser extends WP_Customize_Control {

      	public $type = 'icon';

      	public function render_content() { ?>
	     	<label>
	            <span class="customize-control-title">
	               <?php echo esc_html($this->label); ?>
	            </span>

	            <?php if ($this->description) { ?>
	                <span class="description customize-control-description">
	                   <?php echo wp_kses_post($this->description); ?>
	                </span>
	            <?php } ?>

	            <div class="building-architecture-selected-icon">
	                <i class="fa <?php echo esc_attr($this->value()); ?>"></i>
	                <span><i class="fa fa-angle-down"></i></span>
	            </div>

	            <ul class="building-architecture-icon-list clearfix">
	                <?php
	                $luzuk_building_architecture_font_awesome_icon_array = luzuk_building_architecture_font_awesome_icon_array();
	                foreach ($luzuk_building_architecture_font_awesome_icon_array as $luzuk_building_architecture_font_awesome_icon) {
	                   $icon_class = $this->value() == $luzuk_building_architecture_font_awesome_icon ? 'icon-active' : '';
	                   echo '<li class=' . esc_attr($icon_class) . '><i class="' . esc_attr($luzuk_building_architecture_font_awesome_icon) . '"></i></li>';
	                }
	                ?>
	            </ul>
	            <input type="hidden" value="<?php $this->value(); ?>" <?php $this->link(); ?> />
	        </label>
	        <?php
      	}
  	}
}
function luzuk_building_architecture_customizer_script() {
   wp_enqueue_style( 'font-awesome-1', esc_url(get_template_directory_uri()).'/assets/css/fontawesome-all.css');
}
add_action( 'customize_controls_enqueue_scripts', 'luzuk_building_architecture_customizer_script' );